# Created by pyp2rpm-3.3.2
%global pypi_name google-auth

Name:           python-%{pypi_name}
Version:        1.21.2
Release:        %mkrel 1
Summary:        Google Authentication Library
Group:          Development/Python
License:        Apache 2.0
URL:            https://github.com/googleapis/google-auth-library-python
Source0:        https://files.pythonhosted.org/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(cachetools) >= 2.0.0
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(pyasn1-modules) >= 0.2.1
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(rsa) >= 3.1.4
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six) >= 1.9.0

%description
Google Auth Python Library simplifies using Google's various server-to-server
authentication mechanisms to access Google.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(cachetools) >= 2.0.0
Requires:       python3dist(pyasn1-modules) >= 0.2.1
Requires:       python3dist(rsa) >= 3.1.4
Requires:       python3dist(six) >= 1.9.0

%description -n python3-%{pypi_name}
oogle Auth Python Library simplifies using Google's various server-to-server
authentication mechanisms to access Google.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test || true

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/*.pth
%{python3_sitelib}/google
%{python3_sitelib}/google_auth-%{version}-py?.?.egg-info


%changelog
* Sat Sep 19 2020 shlomif <shlomif> 1.21.2-1.mga8
+ Revision: 1628741
- New version 1.21.2

* Mon Aug 03 2020 shlomif <shlomif> 1.20.0-1.mga8
+ Revision: 1610717
- New version 1.20.0

* Fri Jul 03 2020 shlomif <shlomif> 1.18.0-1.mga8
+ Revision: 1601656
- New version 1.18.0

* Tue May 12 2020 shlomif <shlomif> 1.14.3-1.mga8
+ Revision: 1583360
- New version 1.14.3 by cheese-e-boi

* Thu May 07 2020 shlomif <shlomif> 1.14.1-1.mga8
+ Revision: 1581545
- New version 1.14.1 by cheese-e-boi

* Mon Apr 20 2020 shlomif <shlomif> 1.14.0-1.mga8
+ Revision: 1570088
- New version 1.14.0

* Sat Mar 21 2020 shlomif <shlomif> 1.11.3-1.mga8
+ Revision: 1558531
- New version 1.11.3

* Tue Feb 18 2020 umeabot <umeabot> 1.10.0-2.mga8
+ Revision: 1541728
- Mageia 8 Mass Rebuild

* Tue Dec 31 2019 shlomif <shlomif> 1.10.0-1.mga8
+ Revision: 1475080
- New version 1.10.0

* Mon Dec 09 2019 shlomif <shlomif> 1.7.2-1.mga8
+ Revision: 1465487
- New version 1.7.2

* Tue Sep 17 2019 tv <tv> 1.6.3-3.mga8
+ Revision: 1442920
- rebuild for python-3.8

* Fri Aug 30 2019 wally <wally> 1.6.3-2.mga8
+ Revision: 1435639
- new version 1.6.3
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 1.6.2-1.mga7
+ Revision: 1353226
- pyp2rpm

